Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036992
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-10-03 11:312017-10-11 08:46
ReportermalsasuaView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision1e18dd6a201f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036992: It is possible to pay using unactivate payment methods (mobile or tablet touch screen)

DescriptionUsing a mobile or tablet touch screen, it is possible to pay using payment methods not active in the POS.

Although the payment method is not active in WEBPOS Payment tab, it is possible to select them.
Steps To Reproduceterminal> POS Terminal Type: VBS POS Terminal Type
          tab> payment methods: Credit card
                 set as NO refundable

POS (in a touch screen) >
 . do login
 . load a verified return
 . click in total button -> payment tab is displayed
 . Card button is not active ->
   . click in Card button
   . click 1 and 0 keys
   . click "enter" key
Error: Card payment is added with amount 10 (see atachment)
TagsNo tags attached.
Attached Filespng file icon Screenshot_2017-10-03-11-06-25.png [^] (159,531 bytes) 2017-10-03 11:36

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099860)
hgbot (developer)
2017-10-11 08:46

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 1e18dd6a201fc4622873eb3f8d1fabe259ca2e54
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Oct 10 15:29:21 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/1e18dd6a201fc4622873eb3f8d1fabe259ca2e54 [^]

Fixed issue 36992: It is possible to pay using unactivate payment methods
 in mobile or tablet touch screen devices

The solution is to verify if the button is disabled in registered buttons. If so,
we do nothing.

---
M web/org.openbravo.mobile.core/source/component/ob-keyboard.js
---

- Issue History
Date Modified Username Field Change
2017-10-03 11:31 malsasua New Issue
2017-10-03 11:31 malsasua Assigned To => Retail
2017-10-03 11:31 malsasua Triggers an Emergency Pack => No
2017-10-03 11:36 malsasua File Added: Screenshot_2017-10-03-11-06-25.png
2017-10-10 12:14 jorge-garcia Status new => scheduled
2017-10-10 12:14 jorge-garcia Assigned To Retail => jorge-garcia
2017-10-11 08:46 hgbot Checkin
2017-10-11 08:46 hgbot Note Added: 0099860
2017-10-11 08:46 hgbot Status scheduled => resolved
2017-10-11 08:46 hgbot Resolution open => fixed
2017-10-11 08:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/1e18dd6a201fc4622873eb3f8d1fabe259ca2e54 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker